package fr.titionfire.ffsaf.net2.request;

import fr.titionfire.ffsaf.net2.Client_Thread;
import fr.titionfire.ffsaf.rest.data.CompetitionData;

import java.util.ArrayList;
import java.util.HashMap;

public class SReqRegister {
    public static void sendIfNeed(ArrayList<Client_Thread> client_Thread, CompetitionData.SimpleRegister simpleRegister, Long competitionId) {
        HashMap<String, Object> map = new HashMap<>();
        map.put("simpleRegister", simpleRegister);
        map.put("competitionId", competitionId);

        for (Client_Thread client : client_Thread) {
            client.sendNotify(map, "sendRegister");
        }
    }

    public static void sendRmIfNeed(ArrayList<Client_Thread> clients, Long combId, Long id) {
        HashMap<String, Object> map = new HashMap<>();
        map.put("combId", combId);
        map.put("competitionId", id);

        for (Client_Thread client : clients) {
            client.sendNotify(map, "sendRmRegister");
        }
    }
}
